API Keys

View as Markdown

List API Keys

GET
/agent/v0/pods/{pod_id}/api-keys

Path Parameters

pod_id*string

ID of pod.

Query Parameters

limit?integer

Limit of number of items returned.

page_token?string

Page token for pagination.

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

application/json

curl -X GET "https://api.agentry.to/agent/v0/pods/string/api-keys" \  -H "Authorization: string"
{
  "count": 0,
  "next_page_token": "string",
  "api_keys": [
    {
      "api_key_id": "string",
      "prefix": "string",
      "name": "string",
      "pod_id": "string",
      "inbox_id": "string",
      "used_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "name": "string",
  "message": "string"
}

Create API Key

POST
/agent/v0/pods/{pod_id}/api-keys

Path Parameters

pod_id*string

ID of pod.

Header Parameters

Authorization*string

Bearer authentication

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name*string

Name of api key.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.agentry.to/agent/v0/pods/string/api-keys" \  -H "Authorization: string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "api_key_id": "string",
  "api_key": "string",
  "prefix": "string",
  "name": "string",
  "pod_id": "string",
  "inbox_id": "string",
  "created_at": "2019-08-24T14:15:22Z"
}
{
  "name": "string",
  "errors": null
}
{
  "name": "string",
  "message": "string"
}

Delete API Key

DELETE
/agent/v0/pods/{pod_id}/api-keys/{api_key_id}

Path Parameters

pod_id*string

ID of pod.

api_key_id*string

ID of api key.

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

curl -X DELETE "https://api.agentry.to/agent/v0/pods/string/api-keys/string" \  -H "Authorization: string"
Empty
{
  "name": "string",
  "message": "string"
}